version: '3'

services:
  sp1g0t_db:
    image: postgres:11-alpine
    container_name: postgresql
    environment:
      - POSTGRES_USER=${DB_USER}
      - POSTGRES_PASSWORD=${DB_PASSWORD}
      - POSTGRES_DB=${DB_NAME}

    ports:
      - 5434:5432
    volumes:
      - dbdata:/var/lib/postgresql/data

  app:
    container_name: sp1g0t
    build:
      dockerfile: Dockerfile
      context: .
    depends_on:
      - sp1g0t_db
    env_file: .env


volumes:
  dbdata: